import java.awt.event.MouseEvent;

import sk.upjs.jpaz2.WinPane;


public class DeskPane extends WinPane {

    private Android joe;
    private TurtleMover mover;
    
    public DeskPane() {
	joe = new Android();
	add(joe);
	joe.center();
	
	mover = new TurtleMover();
    }
    
    @Override
    protected void onMouseClicked(int x, int y, MouseEvent detail) {
	if (mover.isMoving())
	    return;
	
	mover.moveTo(joe, x, y, (long)(joe.distanceTo(x, y) * 10));
    }
    
    public static void main(String[] args) {
	DeskPane deskPane = new DeskPane();
    }
}
